#gnuplot script
set term postscript eps enhanced color
set style line 11 lt 1 lw 1.2 ps 1.0 pt 6 lc rgb "#CC3300" # red
set style line 21 lt 1 lw 1.2 ps 1.0 pt 2 lc rgb "#009900" # green
set style line 31 lt 1 lw 1.2 ps 1.0 pt 8 lc rgb "#CC9900" # orange
set style line 41 lt 1 lw 1.2 ps 1.0 pt 1 lc rgb "#3366CC" # blue
set style line 81 lt 1 lw 1.2 ps 1.0 pt 7 lc rgb "#FF0099" # pink 
set style line 82 lt 2 lw 1.2 ps 1.0 pt 6 lc rgb "#FF0099" # pink 
set style line 91 lt 1 lw 1.2 ps 1.0 pt 7 lc rgb "#3399FF" # sky 
set style line 92 lt 2 lw 1.2 ps 1.0 pt 6 lc rgb "#3399FF" # sky 
set grid
set size 0.5,0.6
set xrange [0:]
set yrange [0:]
set key below


#stat
set title "ZAXPY on GeForce-GTX-580" offset 0,-0.5
set xlabel "Problem Size"
set ylabel "Performance [GB/s]" offset 1.5,0
set xrange [0:409600]
set yrange [0:*]
set xtics 102400
set output "fig_mublas_analyzer_zaxpy_perf.eps"
set boxwidth 0.4 relative
set style fill empty
plot \
"mublas_analyzer_zaxpy_eval_statistics.dat" using 1:7:7:7:7 notitle w candlesticks ls 21,\
"mublas_analyzer_zaxpy_eval_statistics.dat" using 1:2:3:4:5 title "All" w candlesticks whiskerbars ls 21,\
"mublas_analyzer_zaxpy_eval_mublas_online.dat" using 2:6 title "Online" w linespoints ls 11,\
"mublas_analyzer_zaxpy_eval_mublas_online_static.dat" using 2:6 title "Offline" w linespoints ls 31,\
"mublas_analyzer_zaxpy_eval_cublas.dat" using 2:6 title "CUBLAS" w linespoints ls 41

#txty
set output "fig_mublas_analyzer_zaxpy_txty.eps"
set ylabel "# of threads"
set autoscale y
plot \
"mublas_analyzer_zaxpy_eval_mublas_online.dat" using 2:8 title "Tx(online)" w linespoints ls 81,\
"mublas_analyzer_zaxpy_eval_mublas_online.dat" using 2:9 title "Ty(online)" w linespoints ls 91,\
"mublas_analyzer_zaxpy_eval_mublas_offline.dat" using 2:8 title "Tx(best)" w linespoints ls 82,\
"mublas_analyzer_zaxpy_eval_mublas_offline.dat" using 2:9 title "Ty(best)" w linespoints ls 92

