#ifndef MUBLAS_DEVEL_H
#define MUBLAS_DEVEL_H

// ***** MUBLAS Version **************************
#define MUBLAS_VERSION						104028
// ***********************************************

// ***** size_t / int32_t ************************
#define SIZE_T								int32_t
//#define SIZE_T							size_t
// ***********************************************

// ***** USE_INLINE_ASM **************************
#define USE_INLINE_ASM						1
// !!! DO NOT USE with nvcc <= 6.5 
// ***********************************************

#include <stdio.h>
#include <stdlib.h>
#define __STDC_FORMAT_MACROS
#include <inttypes.h>
#include <cuda_runtime_api.h>
#include <cublas_v2.h>

// Threads per warp (warp size)
#define WrpSize 32

#define min(a, b) ((a) < (b) ? (a) : (b))
#define max(a, b) ((a) > (b) ? (a) : (b))

#include "../include/mublas.h"

// Ceiling and floor function (Excel compatible) -----------------------
__host__ __inline__ SIZE_T ceilingEx (const float n, const SIZE_T c) {
	return (SIZE_T)ceil(n/c)*c;
}

__host__ __inline__ SIZE_T floorEx (const float n, const SIZE_T c) {
	return (SIZE_T)floor(n/c)*c;
}
// ---------------------------------------------------------------------

extern __host__ void get_occupancy ( mublasHandle_t* mh);
extern __host__ void kernel_configuration (mublasHandle_t* mh);

#ifdef PREC_S
#include "prec_s.h"
#endif
#ifdef PREC_D
#include "prec_d.h"
#endif
#ifdef PREC_C
#include "prec_c.h"
#endif
#ifdef PREC_Z
#include "prec_z.h"
#endif
#ifdef PREC_W
#include "prec_w.h"
#endif
#ifdef PREC_U
#include "prec_u.h"
#endif
#ifdef PREC_B
#include "prec_b.h"
#endif
#ifdef PREC_V
#include "prec_v.h"
#endif
#ifdef PREC_DB
#include "prec_db.h"
#endif

#endif
