#ifndef TESTING_LEVEL1B
#define TESTING_LEVEL1B

#define DIM1

// === DOT  =====================================================
#if defined (DOT)
// target routine
#if defined (MUBLAS)
#define ROUTINE_TARGET(th,n,X,Y,r) MUBLAS_DOT(&mh,n,X,th.incx,Y,th.incy,&r)
#elif defined (CUBLAS)
#define ROUTINE_TARGET(th,n,X,Y,r) CUBLAS_DOT(ch,n,X,th.incx,Y,th.incy,&r)
#endif
// reference routine
#if defined (CHECK_MPACK)
#define ROUTINE_REFERENCE(th,n,X,Y) MBLAS_DOT(n,X,th.incx,Y,th.incy)
#elif defined (CHECK_CBLAS)
#define ROUTINE_REFERENCE(th,n,X,Y) CBLAS_DOT(n,X,th.incx,Y,th.incy)
#elif defined (CHECK_CUBLAS)
#define ROUTINE_REFERENCE(th,n,X,Y,r) CUBLAS_DOT(ch,n,X,th.incx,Y,th.incy,&r)
#endif
// %%%
#define ROUTINE_FLOPS(n)				(FPMADCOUNT*n)
#define ROUTINE_BYTES(n,s)				(2*n*s)
#define ROUTINE_MAXSIZE(gmem,margin,s)	((gmem-margin)/2/s)
#endif
// ==============================================================

// === DOTU =====================================================
#if defined (DOTU)
// target routine
#if defined (MUBLAS)
#define ROUTINE_TARGET(th,n,X,Y,r) MUBLAS_DOTU(&mh,n,X,th.incx,Y,th.incy,&r)
#elif defined (CUBLAS)
#define ROUTINE_TARGET(th,n,X,Y,r) CUBLAS_DOTU(ch,n,X,th.incx,Y,th.incy,&r)
#endif
// reference routine
#if defined (CHECK_MPACK)
#define ROUTINE_REFERENCE(th,n,X,Y) MBLAS_DOTU(n,X,th.incx,Y,th.incy)
#elif defined (CHECK_CBLAS)
#define ROUTINE_REFERENCE(th,n,X,Y) CBLAS_DOTU(n,X,th.incx,Y,th.incy)
#elif defined (CHECK_CUBLAS)
#define ROUTINE_REFERENCE(th,n,X,Y,r) CUBLAS_DOTU(ch,n,X,th.incx,Y,th.incy,&r)
#endif
// %%%
#define ROUTINE_FLOPS(n)				(FPMADCOUNT*n)
#define ROUTINE_BYTES(n,s)				(2*n*s)
#define ROUTINE_MAXSIZE(gmem,margin,s)	((gmem-margin)/2/s)
#endif
// ==============================================================

#endif
